> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/public-ipv6/describeipv6addresses.md).

# DescribeIpv6Addresses

## 1. API Description

This API (DescribeIpv6Addresses) is used to query the assigned public IPv6 addresses by specified conditions. You can search by ID, name, associated resource, and other information.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type                                                         | Description                                                                                                                                                                                      |
| --------------- | -------- | ------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| ipv6Ids         | No       | Array of String                                              | <p>Filter by the unique ID of the public IPv6 address.</p><p>Up to 100 IDs can be specified.</p>                                                                                                 |
| regionId        | No       | String                                                       | <p>Filter by the ID of the region that the public IPv6 address belongs to.</p><p>It can be obtained by calling <a href="/api-reference/zec/location/describeregions.md">DescribeRegions</a>.</p> |
| ipv6Cidr        | No       | String                                                       | Filter by the CIDR block of the public IPv6 address. This field supports fuzzy matching.                                                                                                         |
| status          | No       | [Ipv6Status](/api-reference/zec/datastructure.md#ipv6status) | Filter by the status of the public IPv6 address.                                                                                                                                                 |
| associatedIds   | No       | Array of String                                              | <p>Filter by the ID of the resource bound to the public IPv6 address.</p><p>The value can be a network interface ID or a load balancer ID.</p>                                                   |
| resourceGroupId | No       | String                                                       | Filter by the ID of the resource group that the public IPv6 address belongs to.                                                                                                                  |
| pageSize        | No       | Integer                                                      | <p>Number of items in the current page result.</p><p>Default value: 20.</p><p>Value range: \[1, 1000]</p>                                                                                        |
| pageNum         | No       | Integer                                                      | <p>Number of pages returned.</p><p>Default value: 1.</p><p>Value range: \[1, +)</p><p>Default value: 1</p>                                                                                       |

## 3. Output Parameters

| Parameter Name | Type                                                                            | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                         | Total number of public IPv6 addresses meeting the filtering conditions.                                               |
| dataSet        | Array of [Ipv6AddressInfo](/api-reference/zec/datastructure.md#ipv6addressinfo) | List of the public IPv6 addresses returned.                                                                           |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the public IPv6 addresses assigned to a specified load balancer.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIpv6Addresses
<Common Request Params>

Request:
{
  "associatedIds": [
    "<loadBalancerId>"
  ],
  "pageSize": 20,
  "pageNum": 1
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "dataSet": [
      {
        "ipv6Id": "<ipv6Id>",
        "regionId": "asia-east-1",
        "status": "RUNNING",
        "ipv6Cidr": "2a0b:21c1:xx:xx:0:2::/96",
        "primaryIpv6Address": "2a0b:21c1:xx:xx:0:2::2",
        "associatedId": "<loadBalancerId>",
        "associatedType": "LB",
        "nicId": null,
        "instanceId": null,
        "internetChargeType": "ByBandwidth",
        "bandwidth": 100,
        "rateLimitMode": "LOOSE",
        "trafficPackageSize": null,
        "bandwidthCluster": null,
        "resourceGroupId": "<resourceGroupId>",
        "resourceGroupName": "default",
        "createTime": "2026-08-20T16:53:38Z",
        "operationInfo": null
      }
    ],
    "totalCount": 1
  }
}
```

**2. Query the public IPv6 addresses assigned to a specified vNIC. Both vNICs and load balancers are filtered through `associatedIds`, and multiple values can be passed in at once.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIpv6Addresses
<Common Request Params>

Request:
{
  "associatedIds": [
    "<nicId>"
  ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "dataSet": [
      {
        "ipv6Id": "<ipv6Id>",
        "regionId": "asia-east-1",
        "status": "RUNNING",
        "ipv6Cidr": "2a0b:21c1:xx:xx:0:3::/96",
        "primaryIpv6Address": "2a0b:21c1:xx:xx:0:3::2",
        "associatedId": "<nicId>",
        "associatedType": "NIC",
        "nicId": "<nicId>",
        "instanceId": "<instanceId>",
        "internetChargeType": "ByTrafficPackage",
        "bandwidth": 1000,
        "rateLimitMode": "LOOSE",
        "trafficPackageSize": 1,
        "bandwidthCluster": null,
        "resourceGroupId": "<resourceGroupId>",
        "resourceGroupName": "default",
        "createTime": "2026-08-20T16:53:38Z",
        "operationInfo": {
          "operation": "ModifyBandwidth",
          "status": "OPERATING"
        }
      }
    ],
    "totalCount": 1
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
